=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifneq ($(DEB_HOST_ARCH_OS),linux)
  DEB_CMAKE_CUSTOM_FLAGS += -DWITH_ALSA=OFF
endif

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_CUSTOM_FLAGS)

override_dh_strip:
	dh_strip --dbg-package=kwave-dbg
	strip --strip-unneeded --remove-section=.comment debian/kwave/usr/lib/kde4/plugins/kwave/*

override_dh_auto_install:
	dh_auto_install --destdir=debian/kwave
